#include "customtopwidget.h"
#include "customwidget.h"
#include <QDebug>

constexpr bool SHOW_BUG = true;

CustomTopWidget::CustomTopWidget(QWidget *parent)
    : QWidget{parent}
{
    CustomWidget* cb = new CustomWidget(this);

    if (SHOW_BUG)
        connect(cb, &CustomWidget::destroyed, this, &CustomTopWidget::wasDestroyed);
    else
        connect(cb, SIGNAL(destroyed(QObject*)), this, SLOT(wasDestroyed()));
}

void
CustomTopWidget::wasDestroyed()
{
    qFatal("We should never reach here");
}


CustomTopWidget::~CustomTopWidget()
{
    qDebug() << "Deleting CustomTopWidget";
}

